package route

import (
	"github.com/gofiber/fiber/v2"
	"matrix-middle-service/internel/controller/bot"
	"matrix-middle-service/internel/controller/record"
	"matrix-middle-service/pkg/config"
)

func SetupRoute(app *fiber.App, conf *config.Conf) {
	if conf.Server.EnableSwag {
		SwaggerHandler(app)
	}
	bot.SetupBotController(app)
	record.SetupRecordController(app)
}
